Bug 1149766 - Number of child resources retrieved using REST can't be modified using ps param and is always limited to 100
Summary: Number of child resources retrieved using REST can't be modified using ps par...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: REST
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER05
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Radim Hatlapatka
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-06 15:04 UTC by Radim Hatlapatka
Modified: 2015-11-02 00:44 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 13:59:23 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1158516 None None None Never

Internal Trackers: 1158516

Description Radim Hatlapatka 2014-10-06 15:04:41 UTC
It is not possible to configure number of child resources send via REST using ps query param resulting to max limit of 100 resources.


There can be machine with too many resources (CPUs,...) which could prevent from retrieving desired resource using REST API (e.g. the managed server).

Comment 1 Libor Zoubek 2014-10-07 11:22:09 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/eb13d85bc
time:    2014-10-07 13:18:50 +0200
commit:  eb13d85bc4c071ccdb5401a730a45a43e9fff57a
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1149766 - Number of child resources retrieved using REST can't be 
         modified using ps param and is always limited to 100

         Added suport for paging, default page size is now 20

Comment 2 Thomas Segismont 2014-10-09 15:57:26 UTC
Cherry-picked over to release/jon3.3.x

commit 0ea7bef080bbe00df66fcf5c2a57310eac5527a3
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Tue Oct 7 13:15:53 2014 +0200
    
    Added suport for paging, default page size is now 20
    
    (cherry picked from commit eb13d85bc4c071ccdb5401a730a45a43e9fff57a)
    Signed-off-by: Thomas Segismont <tsegismo@redhat.com>

Comment 3 Jared MORGAN 2014-10-13 03:48:22 UTC
This issue does not have any customer cases attached, and appears to be discovered in a development build. It does not result in a Known Issue, therefore it is excluded from the Release Notes.

Comment 5 Simeon Pinder 2014-10-21 20:24:15 UTC
Moving to ON_QA as available to test with the latest brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=394734

Comment 6 Radim Hatlapatka 2014-10-29 14:36:58 UTC
Verified with JON 3.3.0.ER5 that it works for child resources, nevertheless it doesn't work for platforms, I have created new BZ: BZ#1158516


Note You need to log in before you can comment on or make changes to this bug.